Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.complexscripts.fonts
Interface GlyphClassMapping

All Known Implementing Classes:
  GlyphClassTable

    public interface GlyphClassMapping

The `GlyphClassMapping` interface provides glyph identifier to class index mapping support.

This work was originally authored by Glenn Adams (gadams@apache.org).

Method Summary
`int` | `getClassIndex(int gid, int set)` Map glyph identifier (code) to coverge index.
`int` | `getClassSize(int set)` Obtain size of class table, i.e., ciMax + 1, where ciMax is the maximum class index.

Method Detail

### getClassSize

    int getClassSize(int set)

  Obtain size of class table, i.e., ciMax + 1, where ciMax is the maximum class index.

  Parameters:
    `set` - for coverage set based class mappings, indicates set index, otherwise ignored
  Returns:
    size of class table

### getClassIndex

    int getClassIndex(int gid,
                      int set)

  Map glyph identifier (code) to coverge index. Returns -1 if glyph identifier is not in the domain of the class table.

  Parameters:
    `gid` - glyph identifier (code)
    `set` - for coverage set based class mappings, indicates set index, otherwise ignored
  Returns:
    non-negative glyph class index or -1 if glyph identifiers is not mapped by table

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.